=== debian/rules ===
#!/usr/bin/make -f

configure:
	autoreconf -fi

build: configure
	dh build

clean:
	dh clean
	rm -f aclocal.m4 configure install-sh Makefile.in
	rm -f INSTALL texinfo.tex missing

override_dh_auto_install:
	dh_auto_install
	rm debian/magit/usr/share/emacs/site-lisp/magit.elc
	rm -f debian/magit/usr/share/info/dir

override_dh_installchangelogs:
	dh_installchangelogs NEWS

install: build 
	dh install

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep
