## magit 1.0.0

=== debian/changelog ===
magit (1.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Drop article from package description to make lintian happy.
  * Add patch inherit-standard-faces.diff
    - Backport upstream commit 3d0ea1d60fbc0a8135e2146418c0c64c9d05705a
      to use standard faces where possible (closes: #637193).

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 30 Aug 2011 23:37:02 +0000

magit (1.0.0-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release.
  * Drop support for emacsen other than emacs23 or emacs-snapshot
    (closes: #619480).

  [ Teemu Hukkanen ]
  * Add DM-Upload-Allowed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 11 Apr 2011 21:57:51 +0300

magit (0.8.2+20110220-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release (closes: #586039, #586047, #591646, #591646, #597149).
  * Provide debian/watch file (closes: #586051).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Simplify debian/rules and upstream all debian/patches.
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Update copyright information in DEP-5 format.

  [ Teemu Hukkanen ]
  * Move package to collab-maint.
  * Add install-info to Build-Depends.
  * Add myself to Uploaders.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 21 Mar 2011 21:02:51 +0200
