=== debian/changelog ===
magit (1.2.0-2) unstable; urgency=low

  * Backport patch to fix incompatibility with emacs-snapshot 24.3.50
    (Closes: #718861)
    - bug-718861.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 06 Aug 2013 12:27:17 +0300

magit (1.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 19:36:29 +0000

magit (1.2.0-1~experimental1) experimental; urgency=low

  * New upstream release (Closes: #695479).
  * Drop patch autogenerate-autoloads.diff.
  * Bump standards-version to 3.9.4, no changes needed.
  * Upload to experimental since wheezy is frozen.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sun, 24 Feb 2013 17:49:45 +0000

magit (1.1.1-3) unstable; urgency=low

  * Add emacs24 to the list of supported emacs versions (closes: #679781)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 02 Jul 2012 16:19:41 +0300
