=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Upstream testsuite is not part of released tarballs, it is only in git
override_dh_auto_install:
	$(MAKE) install_contrib DESTDIR=$(CURDIR)/debian/magit PREFIX=/usr
	dh_auto_install -- PREFIX=/usr
	mkdir -p $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	mv $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	install -m 644 50magit.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit/magit-install.el
	rm -f debian/magit/usr/share/emacs/site-lisp/*.elc
	rm -f debian/magit/usr/share/info/dir
	rm -rf debian/magit/usr/bin
