=== debian/watch ===
version=3
http://github.com/magit/magit/downloads /downloads/magit/magit/magit-(\d.+).tar.gz
