## magit 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.2.0
+VERSION=1.2.1
 EMACS=emacs
 PREFIX=/usr/local
 SYSCONFDIR=/etc
