=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Uploaders: Marius Vollmer <marius.vollmer@gmail.com>, Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), emacs, texinfo, install-info
Standards-Version: 3.9.5
Homepage: http://magit.github.com/magit/index.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/magit.git
Vcs-Git: git://anonscm.debian.org/collab-maint/magit.git

Package: magit
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.
