=== debian/changelog ===
magit (2.5.0-2) unstable; urgency=medium

  * Add Breaks on older magit to make piupart happy (Closes: #814620)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 14 Feb 2016 10:10:12 +0100

magit (2.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 31 Jan 2016 12:25:04 +0100

magit (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Bug fix: "missing info files", thanks to David Bremner (Closes:
    #806499).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 21 Jan 2016 19:24:14 +0100

magit (2.3.1-2) unstable; urgency=medium

  * Use dh --with elpa

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Dec 2015 16:15:37 +0000

magit (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt
    (Closes: #804654).
  * Adding some code in prerm for problem when upgrading from elpa-magit
    2.2.2-3. Fix: "pre-removal script fails: “No such file or directory”
    for ‘site-lisp’ entries", thanks to Ben Finney (Closes: #803606).

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 11 Nov 2015 16:56:48 +0100

magit (2.3.0-2) unstable; urgency=medium

  * Change the elpa version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 31 Oct 2015 16:51:39 +0100

magit (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 30 Oct 2015 12:59:28 +0100

magit (2.2.2-3) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * refresh missing upstream repo file patch from 2.2.2

  [ Rémi Vanicat ]
  * Using dh-elpa
  * Update uploaders, thanks to Marius and Teemu for the past help.

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 15 Sep 2015 18:33:25 +0200

magit (2.2.2-2) unstable; urgency=low

  * fix incompatibility with emacs 23
  * Bug fix: "should Conflict emacs23", thanks to Bob Proulx (Closes:
    #798482).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 10 Sep 2015 10:18:43 +0200

magit (2.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #782538).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 06 Sep 2015 16:46:13 +0200

magit (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to debhelper 9.
  * Modify debian packaging scripts per upstream changes.
  * Patch upstream Makefile to not disable site init for byte compilation.
  * Adjusments for including new upstream documentation.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Sep 2015 12:02:12 +0100
