=== debian/watch ===
version=3
https://github.com/magit/magit/releases /magit/magit/releases/download/\d.+/magit-(\d.+).tar.gz
