=== Documentation/Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 libraries `git-commit.el`, `magit-popup.el`, and `with-editor.el`
 which are distributed as separate Elpa packages.
 
-For statistics see http://magit.vc/stats/authors.html.
+For statistics see https://magit.vc/stats/authors.html.
 
 Names below are sorted alphabetically.
