=== debian/changelog ===
magit (2.7.0-1) unstable; urgency=medium

  * Use dh-elpa for generating *-pkg.el files
    needed for better version management
  * Using Built-Using
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 21 May 2016 14:29:11 +0200

magit (2.6.2-1) unstable; urgency=low

  * Standards-Version: 3.9.8, no change needed
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 06 May 2016 17:52:58 +0200

magit (2.6.1-1) unstable; urgency=low

  * Standards-Version: 3.9.7, no changec needed
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 15 Apr 2016 00:05:12 +0200

magit (2.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 07 Apr 2016 14:24:59 +0200
