=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
 	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
 	texinfo, install-info
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git
@@ -16,7 +16,8 @@
 Provides: magit
 Replaces: magit (<< 2.2.2-3)
 Breaks: magit (<< 2.2.2-3)
-Depends: ${misc:Depends}, git, dash-el, elpa-with-editor, elpa-magit-popup, elpa-git-commit
+Depends: ${misc:Depends}, git, dash-el, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
  Emacs.  You can review and commit the changes you have made to the
@@ -26,13 +27,15 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, dash-el, elpa-with-editor
+Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Major mode for edditing git commit message
  A mode for edditing COMMIT_MSG file from git in Emacs.
 
 Package: elpa-magit-popup
 Architecture: all
-Depends: ${misc:Depends}, dash-el
+Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Use popup like Magit
  Magit use popup to run different git function and select the option
  you want
@@ -44,5 +47,6 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, elpa-magit
+Built-Using: ${misc:Built-Using}
 Description: transitional dummy package for elpa-magit
  This transitional package is safe to remove.
